# -*- coding: utf-8 -*-
"""knn

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1H5Tya_GYcmGvoUDkCSDDowUNTBcKg061
"""

import random as r

vector = [ ]
for i in range (10):
  vector.append(r.randint(1, 10))
  t = len(vector)


def entrenamiento(k):
  entrenamiento = []
  for i in range(int(len(k)/2)):
      entrenamiento.append(0)
  for j in range(int(len(k)/2)):
      entrenamiento.append(1)
  return entrenamiento
    
a = etiqueta(t) 
b = entrenamiento(a)
print (a)
print (b)

import math as m
x = [7.2,3.6,5.1,2.5]
y = [5.1,3.5,1.4,0.2]

def d_euclideana(x, y):
  con = 0
  for i in range(len(x)):
    con = con +((x[i] - y[i])**2)
  con = m.sqrt(con)
  return con

def d_manhattan(x, y):
  con = 0
  for i in range(len(x)):
    con = con + abs(x[i] - y[i])
  return con 

def d_minkowski(x, y, q):
  con = 0
  for i in range(len(x)):
    con = (con + abs(x[i] - y[i]))**q
  con = con**(1/q)
  return con

print(d_euclideana(x, y))
print(d_manhattan(x, y))
print(d_minkowski(x, y, 1))

def crear_matrices_confusion():
  x = []
  for i in range(2):
    x.append([0]*2)
  return x
    
def llenar_matrices_confusion(x):
  for i in range(len(x)):
    for j in range (len(x[0])):
      print("recuerda la posicion: TN:0.0, FP:0.1")
      print("recuerda la posicion: FN:1.0, TP:1.1")
      x[i][j] = float(input("Dijite el valor que ira en esta posicon %d & %d : " % (i, j)))
      
def sensibildad(x):
  recall = x[1][1] /(x[1][1]+x[1][0])
  return recall

def especifidad(x):
  especifidad = x[0][0]/(x[0][0]+x[0][1])
  return especifidad

def presicion(x):
  presision = x[1][1]/ (x[1][1]+x[0][1])  
  return presicion

def predicion_negativa(x):
  prediccion_negativa = x[0][0]/(x[0][0]+x[1][0])
  return prediccion_negativa

def error_clasificacion(x):
  error = (x[1][1]+x[1][0])/(x[1][1]+x[0][0]+x[0][1]+x[1][0])
  return error

def accuracy(x):
  accuracy = (x[0][0]+x[1][1])/(x[1][1]+x[0][0]+x[0][1]+x[1][0])
  return accuracy

def prevalencia(x):
  prevalencia = (x[1][1]+x[1][0])/(x[1][1]+x[0][0]+x[0][1]+x[1][0])
  return prevalencia